## Documentation

- Overview
- Website
- Tutorials
- Class Index

## Classes

- _global_
- CL3D
- CL3D.AnimatedMeshSceneNode
- CL3D.Animator
- CL3D.AnimatorAnimateTexture
- CL3D.AnimatorCameraFPS
- CL3D.AnimatorCameraModelViewer
- CL3D.AnimatorCollisionResponse
- CL3D.AnimatorFlyCircle
- CL3D.AnimatorFlyStraight
- CL3D.AnimatorFollowPath
- CL3D.AnimatorOnClick
- CL3D.AnimatorOnProximity
- CL3D.AnimatorRotation
- CL3D.BillboardSceneNode
- CL3D.BoundingBoxTriangleSelector
- CL3D.Box3d
- CL3D.CameraSceneNode
- CL3D.ColorF
- CL3D.CopperCubeVariable
- CL3D.CopperLicht
- CL3D.CubeSceneNode
- CL3D.HotspotSceneNode
- CL3D.Light
- CL3D.LightSceneNode
- CL3D.Line3d
- CL3D.Material
- CL3D.Matrix4
- CL3D.Mesh
- CL3D.MeshBuffer
- CL3D.MeshSceneNode
- CL3D.MeshTriangleSelector
- CL3D.MetaTriangleSelector
- CL3D.Mobile2DInputSceneNode
- CL3D.OctTreeTriangleSelector
- CL3D.Overlay2DSceneNode
- CL3D.ParticleSystemSceneNode
- CL3D.PathSceneNode
- CL3D.Plane3d
- CL3D.Quaternion
- CL3D.Renderer
- CL3D.Scene
- CL3D.SceneNode
- CL3D.SkyBoxSceneNode
- CL3D.SoundSceneNode
- CL3D.TerrainSceneNode
- CL3D.Texture
- CL3D.TextureManager
- CL3D.Triangle3d
- CL3D.TriangleSelector
- CL3D.Vect2d
- CL3D.Vect3d
- CL3D.Vertex3D
- CL3D.WaterSurfaceSceneNode

CopperLicht API Documentation

# Class CL3D.TextureManager

texture manager containing all Textures and able to load new ones, accessible via CopperLicht.getTextureManager().

Class Overview
CL3D.TextureManager()
Texture manager containing all Textures and able to load new ones, accessible via CopperLicht.getTextureManager().

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getCountOfTexturesToLoad() Returns the amount of textures which still need to be loaded
| getTexture(url, createIfNotFound) Returns a new CL3D.Texture object from an URL and starts loading it.
| getTextureCount() Returns the amount of textures

Method Detail
getCountOfTexturesToLoad()
Returns the amount of textures which still need to be loaded

{CL3D.Texture} getTexture(url, createIfNotFound)
Returns a new CL3D.Texture object from an URL and starts loading it. If the texture has been already loaded, it doesn't load it a second time but returns the reference to the old texture.

Parameters:
url
  {String} Url of the image. Can be relative like 'path/to/image/mytexture.jpg' or absolute like 'http://www.ambiera.com/images/ambiera_logo_big.png'
createIfNotFound
  {Boolean} set to true to create a new CL3D.Texture object and start loading it if an existing once wasn't found with this url.

Returns:
  {CL3D.Texture} texture object

getTextureCount()
Returns the amount of textures

© 2011-2018 N.Gebhardt, Ambiera
Documentation generated by JsDoc Toolkit